**Purpose**: AdGuard Home is a network-wide software for blocking ads & tracking. After you set it up, it will cover ALL your home devices, and you don’t need any client-side software for that. With the rise of Internet-Of-Things and connected devices, it becomes more and more important to be able to control your whole network. 

```jsx title="docker-compose.yml"
version: '3'

services:
  app:
    image: adguard/adguardhome
    ports:
      - 3000:3000
      - 53:53
      - 80:80
    volumes:
      - /srv/containers/adguard_home/workingdir:/opt/adguardhome/work
      - /srv/containers/adguard_home/config:/opt/adguardhome/conf
    restart: always
    networks:
        docker_network:
          ipv4_address: 192.168.5.189
networks:
  default:
    external:
      name: docker_network
  docker_network:
    external: true
```

```jsx title=".env"
Not Applicable
```
