**Purpose**: Authelia is an open-source authentication and authorization server and portal fulfilling the identity and access management (IAM) role of information security in providing multi-factor authentication and single sign-on (SSO) for your applications via a web portal. It acts as a companion for common reverse proxies. 

```jsx title="docker-compose.yml"
services:
  authelia:
    image: authelia/authelia
    container_name: authelia
    volumes:
      - /mnt/authelia/config:/config
    networks:
        docker_network:
          ipv4_address: 192.168.5.159
    expose:
      - 9091
    restart: unless-stopped
    healthcheck:
      disable: true
    environment:
      - TZ=America/Denver

  redis:
    image: redis:alpine
    container_name: redis
    volumes:
      - /mnt/authelia/redis:/data
    networks:
        docker_network:
          ipv4_address: 192.168.5.158
    expose:
      - 6379
    restart: unless-stopped
    environment:
      - TZ=America/Denver

networks:
  default:
    external:
      name: docker_network
  docker_network:
    external: true
```

```jsx title=".env"
Not Applicable
```
