**Purpose**: An optimized site generator in React. Docusaurus helps you to move fast and write content. Build documentation websites, blogs, marketing pages, and more.

```jsx title="docker-compose.yml"
version: "3"

services:
  docusaurus:
    image: awesometic/docusaurus
    container_name: docusaurus
    environment:
      - TARGET_UID=1000
      - TARGET_GID=1000
      - AUTO_UPDATE=true
      - WEBSITE_NAME=docusaurus
      - TEMPLATE=classic
      - TZ=America/Denver
    restart: always
    volumes:
      - /srv/containers/docusaurus:/docusaurus
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
    ports:
      - "80:80"
    networks:
        docker_network:
          ipv4_address: 192.168.5.72
networks:
  docker_network:
    external: true
```

```jsx title=".env"
Not Applicable
```
