**Purpose**: Open source home automation that puts local control and privacy first. Powered by a worldwide community of tinkerers and DIY enthusiasts.

```jsx title="docker-compose.yml"
version: '3'
services:
  homeassistant:
    container_name: homeassistant
    image: "ghcr.io/home-assistant/home-assistant:stable"
    environment:
      - TZ=America/Denver
    volumes:
      - /srv/containers/Home-Assistant-Core:/config
      - /etc/localtime:/etc/localtime:ro
    restart: always
    privileged: true
    ports:
      - 8123:8123
    networks:
        docker_network:
          ipv4_address: 192.168.5.252
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.homeassistant.rule=Host(`automation.cyberstrawberry.net`)"
      - "traefik.http.routers.homeassistant.entrypoints=websecure"
      - "traefik.http.routers.homeassistant.tls.certresolver=myresolver"
      - "traefik.http.services.homeassistant.loadbalancer.server.port=8123"
networks:
  default:
    external:
      name: docker_network
  docker_network:
    external: true
```

```jsx title=".env"
Not Applicable
```
