**Purpose**: A highly customizable homepage (or startpage / application dashboard) with Docker and service API integrations.

```jsx title="docker-compose.yml"
version: '3.8'
services:
  homepage:
    image: ghcr.io/benphelps/homepage:latest
    container_name: homepage
    volumes:
      - /srv/containers/homepage-docker:/config
      - /srv/containers/homepage-docker/icons:/app/public/icons
      - /var/run/docker.sock:/var/run/docker.sock
    ports:
      - 80:80
      - 443:443
      - 3000:3000
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=America/Denver
    dns:
      - 192.168.3.10
      - 192.168.3.11
    restart: unless-stopped
    extra_hosts:
      - "rancher.cyberstrawberry.net:192.168.3.21"
    networks:
        docker_network:
          ipv4_address: 192.168.5.44    
    
networks:
  default:
    external:
      name: docker_network
  docker_network:
    external: true
```

```jsx title=".env"
Not Applicable
```
