**Purpose**: NGINX is open source software for web serving, reverse proxying, caching, load balancing, media streaming, and more.

```jsx title="docker-compose.yml"
---
version: "2.1"
services:
  nginx:
    image: lscr.io/linuxserver/nginx:latest
    container_name: nginx
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=America/Denver
    volumes:
      - /srv/containers/nginx-portfolio-website:/config
    ports:
      - 80:80
      - 443:443
    restart: unless-stopped
    networks:
        docker_network:
          ipv4_address: 192.168.5.12

networks:
  default:
    external:
      name: docker_network
  docker_network:
    external: true
```

```jsx title=".env"
Not Applicable
```
