**Purpose**: Niltalk is a web based disposable chat server. It allows users to create password protected disposable, ephemeral chatrooms and invite peers to chat rooms.

```jsx title="docker-compose.yml"
version: "3.7"

services:
  redis:
    image: redis:alpine
    volumes:
      - /srv/niltalk
    restart: unless-stopped
    networks:
        docker_network:
          ipv4_address: 192.168.5.196

  niltalk:
    image: kailashnadh/niltalk:latest
    ports:
      - "9000:9000"
    depends_on:
      - redis
    restart: unless-stopped
    networks:
        docker_network:
          ipv4_address: 192.168.5.197
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.niltalk.rule=Host(`temp.cyberstrawberry.net`)"
      - "traefik.http.routers.niltalk.entrypoints=websecure"
      - "traefik.http.routers.niltalk.tls.certresolver=myresolver"
      - "traefik.http.services.niltalk.loadbalancer.server.port=9000"
networks:
  default:
    external:
      name: docker_network
  docker_network:
    external: true

volumes:
  niltalk-data:
```

```jsx title=".env"
Not Applicable
```
