**Purpose**: The UniFi® Controller is a wireless network management software solution from Ubiquiti Networks™. It allows you to manage multiple wireless networks using a web browser.

```jsx title="docker-compose.yml"
version: "2.1"
services:
  controller:
    image: lscr.io/linuxserver/unifi-controller:latest
    container_name: controller
    environment:
      - PUID=1000
      - PGID=1000
      #- MEM_LIMIT=1024 #optional
      #- MEM_STARTUP=1024 #optional
    volumes:
      - /srv/containers/unifi-controller:/config
    ports:
      - 8443:8443
      - 3478:3478/udp
      - 10001:10001/udp
      - 8080:8080
      - 1900:1900/udp #optional
      - 8843:8843 #optional
      - 8880:8880 #optional
      - 6789:6789 #optional
      - 5514:5514/udp #optional
    restart: always
    networks:
        docker_network:
          ipv4_address: 192.168.5.140
#          ipv4_address: 192.168.3.140
networks:
  default:
    external:
      name: docker_network
  docker_network:
    external: true
```

```jsx title=".env"
Not Applicable
```
