**Purpose**: Deploy Uptime Kuma uptime monitor to monitor services in the homelab and send notifications to various services.

```jsx title="docker-compose.yml"
version: '3'
services:
  uptimekuma:
    image: louislam/uptime-kuma
    ports:
      - 3001:3001
    volumes:
      - /mnt/uptimekuma:/app/data
      - /var/run/docker.sock:/var/run/docker.sock
    environment:
      # Allow status page to exist within an iframe
      - UPTIME_KUMA_DISABLE_FRAME_SAMEORIGIN=1
    restart: always
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.uptime-kuma.rule=Host(`status.cyberstrawberry.net`)"
      - "traefik.http.routers.uptime-kuma.entrypoints=websecure"
      - "traefik.http.routers.uptime-kuma.tls.certresolver=letsencrypt"
      - "traefik.http.services.uptime-kuma.loadbalancer.server.port=3001"
    networks:
        docker_network:
          ipv4_address: 192.168.5.211
networks:
  docker_network:
    external: true
```

```jsx title=".env"
Not Applicable
```
