**Purpose**: At its core, WordPress is the simplest, most popular way to create your own website or blog. In fact, WordPress powers over 43.3% of all the websites on the Internet. Yes – more than one in four websites that you visit are likely powered by WordPress.

```jsx title="docker-compose.yml"
version: '3.7'
services:
    wordpress:
        image: wordpress:latest
        restart: always
        ports:
            - 80:80
        environment:
            WORDPRESS_DB_HOST: 192.168.5.216
            WORDPRESS_DB_USER: wordpress
            WORDPRESS_DB_PASSWORD: ${WORDPRESS_DB_PASSWORD}
            WORDPRESS_DB_NAME: wordpress
        volumes:
            - /srv/Containers/WordPress/Server:/var/www/html
        networks:
            docker_network:
              ipv4_address: 192.168.5.217
        depends_on:
          - db
    db:
        image: lscr.io/linuxserver/mariadb
        restart: always
        ports:
            - 3306:3306
        environment:
            MYSQL_ROOT_PASSWORD: ${MYSQL_ROOT_PASSWORD}
            MYSQL_DATABASE: wordpress
            MYSQL_USER: wordpress
            REMOTE_SQL: http://URL1/your.sql,https://URL2/your.sql
        volumes:
            - /srv/Containers/WordPress/DB:/config
        networks:
            docker_network:
              ipv4_address: 192.168.5.216
networks:
  default:
    external:
      name: docker_network
  docker_network:
    external: true
```

```jsx title=".env"
WORDPRESS_DB_PASSWORD=SecurePassword101
MYSQL_ROOT_PASSWORD=SecurePassword202
```
