```jsx title="1-provision-vm.yml"
---
- name: Ubuntu Server-Based Cluster Deployment
  hosts: all
  become: yes
  tasks:
    - name: Fetch updates
      apt:
        update_cache: yes

    - name: Install packages
      apt:
        name:
          - nfs-common
          - iptables
          - nano
          - htop
        state: present
        update_cache: yes

    - name: Upgrade all packages
      apt:
        upgrade: dist

    - name: Autoremove unused packages
      apt:
        autoremove: yes

    - name: Reboot the VM
      reboot:
```