# 3B-deploy-worker-node.yml

```jsx title="3B-deploy-worker-node.yml"
---
- name: RKE2 Kubernetes Worker Node Deployment
  hosts: all
  become: yes
  tasks:
    - name: Download and install RKE2 agent
      shell: "curl -sfL https://get.rke2.io | INSTALL_RKE2_TYPE=agent sh -"

    - name: Create Rancher-Kubernetes-specific config directory
      file:
        path: "/etc/rancher/rke2/"
        state: directory

    - name: Inject IP of Primary Cluster Host (First Node) into Config File
      lineinfile:
        path: "/etc/rancher/rke2/config.yaml"
        line: "server: https://192.168.3.21:9345"

    - name: Get the node token from the first node in the cluster
      shell: "cat /var/lib/rancher/rke2/server/node-token"
      register: node_token
      run_once: true
      delegate_to: first_node_host

    - name: Inject the Primary Cluster Host trust token into the config file
      lineinfile:
        path: "/etc/rancher/rke2/config.yaml"
        line: "token: {{ node_token.stdout }}"

    - name: Enable and start the RKE2 agent service
      systemd:
        name: rke2-agent.service
        state: started
        enabled: yes
```