**Purpose**: You may find that you need to adopt a device that was onboarded by a different Veeam Backup & Replication server.  Maybe the old server died, or maybe you are restructuring your backup infrastructure, and want a new server taking over the backup responsibilities for the device.

If this happens, Veeam will complain that the device is managed by a different server.  To circumvent this, perform the following changes in the Windows Registry based on the version of Veeam Backup & Replication you are currently using, then try to Update the Agent / Backup the agent again, and it should be successful after the registry changes are made.

**Reference Material**:
https://forums.veeam.com/servers-workstations-f49/how-do-we-move-agent-to-associate-with-a-new-veeam-server-t79977.html

=== "VBR v11"

    ```jsx title="HKEY_LOCAL_MACHINE\SOFTWARE\Veeam\Veeam Backup and Replication"
    AgentDiscoveryIgnoreOwnership
    REG_DWORD (32-bit) Value: 1
    ```
        
=== "VBR v12"

    ```jsx title="HKEY_LOCAL_MACHINE\SOFTWARE\Veeam\Veeam Backup and Replication"
    ProtectionGroupIgnoreOwnership
    REG_DWORD (32-bit) Value: 1
    ```